import { type ActionReturnType, actions } from 'astro:actions';

export type Users = Exclude<ActionReturnType<typeof actions.user.users>['data'], undefined>['users'];
export type User = Users[0];

export type UserCreateOrEditPopupState =
  | { create: { onUpdate: (user: User) => void } }
  | { edit: { user: User; onUpdate: (user: User) => void } }
  | null;
